Functions
Functions
Peripheral Driver » APP DRIVER » PDM
Collaboration diagram for Functions:

## Functions
uint16_t | app_pdm_init (app_pdm_params_t *p_params, app_pdm_evt_handler_t evt_handler)
| Initialize the APP PDM DRIVER according to the specified parameters in the app_pdm_params_t and app_pdm_evt_handler_t. More...
uint16_t | app_pdm_deinit (void)
| De-initialize the APP PDM DRIVER peripheral. More...
uint16_t | app_pdm_left_start_dma (uint16_t *p_data, uint32_t length)
| Start the pdm left channel transfer with dma. More...
uint16_t | app_pdm_right_start_dma (uint16_t *p_data, uint32_t length)
| Start the pdm right channel transfer with dma. More...
uint16_t | app_pdm_stereo_start_dma (uint32_t *p_data, uint32_t length)
| Start the pdm dual channel transfer with dma. More...
uint16_t | app_pdm_left_start_dma_sg_llp (uint16_t *p_data, uint32_t length, dma_sg_llp_config_t *sg_llp_config)
| Start the pdm left channel transfer with dma's sg and llp functions. More...
uint16_t | app_pdm_right_start_dma_sg_llp (uint16_t *p_data, uint32_t length, dma_sg_llp_config_t *sg_llp_config)
| Start the pdm right channel transfer with dma's sg and llp functions. More...
uint16_t | app_pdm_stereo_start_dma_sg_llp (uint32_t *p_data, uint32_t length, dma_sg_llp_config_t *sg_llp_config)
| Start the pdm dual channel transfer with dma's sg and llp functions. More...
uint16_t | app_pdm_abort (void)
| Abort the pdm transfer. More...
pdm_handle_t * | app_pdm_get_handle (void)
| Return the PDM handle. More...

## Detailed Description

## Function Documentation

## ◆ app_pdm_abort()

uint16_t app_pdm_abort | ( | void |  | ) |

Abort the pdm transfer.

Returns
  Result of abort.

## ◆ app_pdm_deinit()

uint16_t app_pdm_deinit | ( | void |  | ) |

De-initialize the APP PDM DRIVER peripheral.

Returns
  Result of De-initialization.

## ◆ app_pdm_get_handle()

pdm_handle_t* app_pdm_get_handle | ( | void |  | ) |

Return the PDM handle.

Returns
  Pointer to the specified PDM handle.

## ◆ app_pdm_init()

uint16_t app_pdm_init | ( | app_pdm_params_t * | p_params,
|  | app_pdm_evt_handler_t | evt_handler
| ) |  |

Initialize the APP PDM DRIVER according to the specified parameters in the app_pdm_params_t and app_pdm_evt_handler_t.

Parameters

  [in] | p_params | Pointer to app_pdm_params_t parameter which contains the configuration information for the specified PDM module.
  [in] | evt_handler | PDM user callback function.

Returns
  Result of initialization.

## ◆ app_pdm_left_start_dma()

uint16_t app_pdm_left_start_dma | ( | uint16_t * | p_data,
|  | uint32_t | length
| ) |  |

Start the pdm left channel transfer with dma.

Parameters

  [in] | p_data | Point to the data buffer.
  [in] | length | The length of data,ranging between 0 and 4095.

## ◆ app_pdm_left_start_dma_sg_llp()

uint16_t app_pdm_left_start_dma_sg_llp | ( | uint16_t * | p_data,
|  | uint32_t | length,
|  | dma_sg_llp_config_t * | sg_llp_config
| ) |  |

Start the pdm left channel transfer with dma's sg and llp functions.

Parameters

  [in] | p_data | Point to the data buffer.
  [in] | length | The length of data,ranging between 0 and 4095.
  [in] | sg_llp_config | The config of source and destination's sg and llp fuction.

## ◆ app_pdm_right_start_dma()

uint16_t app_pdm_right_start_dma | ( | uint16_t * | p_data,
|  | uint32_t | length
| ) |  |

Start the pdm right channel transfer with dma.

Parameters

  [in] | p_data | Point to the data buffer.
  [in] | length | The length of data,ranging between 0 and 4095.

## ◆ app_pdm_right_start_dma_sg_llp()

uint16_t app_pdm_right_start_dma_sg_llp | ( | uint16_t * | p_data,
|  | uint32_t | length,
|  | dma_sg_llp_config_t * | sg_llp_config
| ) |  |

Start the pdm right channel transfer with dma's sg and llp functions.

Parameters

  [in] | p_data | Point to the data buffer.
  [in] | length | The length of data,ranging between 0 and 4095.
  [in] | sg_llp_config | The config of source and destination's sg and llp fuction.

## ◆ app_pdm_stereo_start_dma()

uint16_t app_pdm_stereo_start_dma | ( | uint32_t * | p_data,
|  | uint32_t | length
| ) |  |

Start the pdm dual channel transfer with dma.

Parameters

  [in] | p_data | Point to the data buffer.
  [in] | length | The length of data,ranging between 0 and 4095.

## ◆ app_pdm_stereo_start_dma_sg_llp()

uint16_t app_pdm_stereo_start_dma_sg_llp | ( | uint32_t * | p_data,
|  | uint32_t | length,
|  | dma_sg_llp_config_t * | sg_llp_config
| ) |  |

Start the pdm dual channel transfer with dma's sg and llp functions.

Parameters

  [in] | p_data | Point to the data buffer.
  [in] | length | The length of data,ranging between 0 and 4095.
  [in] | sg_llp_config | The config of source and destination's sg and llp fuction.